Package org.gradle.tooling.events

# Interface BinaryPluginIdentifier

All Superinterfaces:
  `PluginIdentifier`

public interface BinaryPluginIdentifier extends PluginIdentifier
Identifies a Gradle binary plugin.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns the fully-qualified class name of this plugin.
  `@Nullable String`
  `getPluginId()`
  Returns the plugin id of this plugin, if available.

  ### Methods inherited from interface org.gradle.tooling.events.PluginIdentifier

  `getDisplayName`

- ## Method Details

  - ### getClassName

    String getClassName()
    Returns the fully-qualified class name of this plugin.

  - ### getPluginId

    @Nullable String getPluginId()
    Returns the plugin id of this plugin, if available.